Bug 991136 - SOA-P 5.3.1 needs to support SOAP 1.2 Authentication
SOA-P 5.3.1 needs to support SOAP 1.2 Authentication
Status: CLOSED NOTABUG
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: CONTINUING
Assigned To: tcunning
:
Depends On:
Blocks: 991461 991463
  Show dependency treegraph
 
Reported: 2013-08-01 13:16 EDT by tcunning
Modified: 2013-09-03 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 991461 (view as bug list)
Environment:
Last Closed: 2013-08-02 14:26:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3946 Major Closed SOA-P 5.3.1 needs to support SOAP 1.2 Authentication 2013-10-01 03:50:43 EDT

  None (edit)
Description tcunning 2013-08-01 13:16:25 EDT
Description of problem:

From case : 

We want to use SOAP 1.2 with JBoss ESB, but some of the classes are not compatible implemented.
In "SoapExtractionUtil" hard coded QNames are used!

Code snippet:
public static boolean isStartOfHeader(final XMLEvent event)
    {
        return event.isStartElement() && ((StartElement)event).getName().equals(SOAP_HEADER_QNAME);
    }

When this is used by the "UsernameTokenExtractor", in the method "extractSecurityInfo" and the security is no longer useable when using SOAP 1.2!!!

Code snippet:
public AuthenticationRequest extractSecurityInfo(final String soap)
                throws ExtractionException {
            if (soap == null || !soap.startsWith("<"))
                return null;

            XMLEventReader xmlReader = null;
            User user = null;
            Set<Object> credentials = new HashSet<Object>();
            try {
                xmlReader = XML_INPUT_FACTORY
                       .createXMLEventReader(new StringReader(soap));

                while (xmlReader.hasNext()) {
                    XMLEvent xmlEvent = xmlReader.nextEvent();
                    if (isStartOfHeader(xmlEvent)) {

We need to support "SOAP 1.2" to communicate with customers.
Comment 1 Rick Wagner 2013-08-02 14:26:03 EDT
Closing this BZ, we can fix 5.3.1 with the next Roll up via BZ991461.
Comment 2 JBoss JIRA Server 2013-09-03 13:01:52 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3946 to Resolved
Comment 3 JBoss JIRA Server 2013-09-03 13:01:58 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3946 to Closed

Note You need to log in before you can comment on or make changes to this bug.